Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.bestsolutionmutation
Class BestSolutionMutationSingleStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<BestSolutionMutationStatisticPoint>
          org.optaplanner.benchmark.impl.statistic.bestsolutionmutation.BestSolutionMutationSingleStatistic

    public class BestSolutionMutationSingleStatistic

extends SingleStatistic<BestSolutionMutationStatisticPoint>

Field Summary

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`singleBenchmarkResult, statisticType`

Constructor Summary
`BestSolutionMutationSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`

Method Summary
`void` | `close(Solver solver)`
`protected BestSolutionMutationStatisticPoint` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`protected String` | `getCsvHeader()`
`List<BestSolutionMutationStatisticPoint>` | `getPointList()`
`void` | `open(Solver solver)`
`void` | `setPointList(List<BestSolutionMutationStatisticPoint> pointList)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`getCsvFile, getCsvFilePath, getStatisticType, readCsvStatisticFile, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BestSolutionMutationSingleStatistic

    public BestSolutionMutationSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

Method Detail

### getPointList

    public List<BestSolutionMutationStatisticPoint> getPointList()

  Specified by:
    `getPointList` in class `SingleStatistic<BestSolutionMutationStatisticPoint>`

### setPointList

    public void setPointList(List<BestSolutionMutationStatisticPoint> pointList)

  Specified by:
    `setPointList` in class `SingleStatistic<BestSolutionMutationStatisticPoint>`

### open

    public void open(Solver solver)

  Specified by:
    `open` in class `SingleStatistic<BestSolutionMutationStatisticPoint>`

### close

    public void close(Solver solver)

  Specified by:
    `close` in class `SingleStatistic<BestSolutionMutationStatisticPoint>`

### getCsvHeader

    protected String getCsvHeader()

  Specified by:
    `getCsvHeader` in class `SingleStatistic<BestSolutionMutationStatisticPoint>`

### createPointFromCsvLine

    protected BestSolutionMutationStatisticPoint createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                                        List<String> csvLine)

  Specified by:
    `createPointFromCsvLine` in class `SingleStatistic<BestSolutionMutationStatisticPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.